Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class JDBCStoreManager.ClientConnection

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingConnection
          org.apache.openjpa.jdbc.kernel.JDBCStoreManager.ClientConnection

All Implemented Interfaces:
  Connection, Wrapper, Closeable

Enclosing class:
  JDBCStoreManager

    public static class JDBCStoreManager.ClientConnection

extends DelegatingConnection

Connection returned to client code. Makes sure its wrapped connection ref count is decremented on finalize.

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`JDBCStoreManager.ClientConnection(Connection conn)`

Method Summary
`void` | `close()`
`protected void` | `finalize()`

Methods inherited from class org.apache.openjpa.lib.jdbc.DelegatingConnection
`abort, appendInfo, clearWarnings, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStatement, createStatement, createStatement, createStruct, equals, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getDelegate, getHoldability, getInnermostDelegate, getMetaData, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, hashCode, isClosed, isReadOnly, isValid, isWrapperFor, nativeSQL, prepareCall, prepareCall, prepareCall, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, toString, unwrap`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCStoreManager.ClientConnection

    public JDBCStoreManager.ClientConnection(Connection conn)

Method Detail

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Connection`
  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `DelegatingConnection`
  Throws:
    `SQLException`

### finalize

    protected void finalize()
                     throws SQLException

  Overrides:
    `finalize` in class `Object`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.